clazy (1.15-2ubuntu1) questing; urgency=medium

  * Skip old-style-connect test failing with Qt5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 05 Sep 2025 13:54:12 +0000

clazy (1.15-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 09:58:46 +0200

clazy (1.15-1) experimental; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump clang & LLVM to 19.0
  * Drop -Wno-class-memaccess from the CXXFLAGS, as the problem should be fixed
    with very recent LLVM versions (which are a requirement now).
  * Update the patches:
    - select-clangpp.diff: refresh

 -- Pino Toscano <pino@debian.org>  Thu, 19 Jun 2025 07:39:10 +0200

clazy (1.14-1) unstable; urgency=medium

  * New upstream release:
    - supports building with LLVM 20
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Apr 2025 08:37:54 +0200

clazy (1.13-1) unstable; urgency=medium

  * New upstream release.
  * Disable GPG key checking for now.
  * Update the patches:
    - upstream_Use-clazy-helper-to-avoid-startsWith-starts_with-dep.patch:
      drop, backported from upstream
    - upstream_Fix-clang-deprecations-by-porting-to-FileEntryRef.patch: drop,
      backported from upstream
    - upstream_Update-LLVM-Clang-support-to-14.0-add-LLVM-19-handli.patch:
      drop, backported from upstream
    - upstream_Remove-guards-for-no-longer-necessary-CLAZY_DISABLE_.patch:
      drop, backported from upstream
    - upstream_remove-the-llvm-clang-version-sepecific-macros.patch: drop,
      backported from upstream
    - upstream_Revert-overeager-cleanups-to-usageg-OptionalFileEntr.patch:
      drop, backported from upstream
    - upstream_Adjust-additional-argument-in-InclusionDirective.patch: drop,
      backported from upstream
    - upstream_Add-ifdefs-for-compatibility-with-LLVM-19.patch: drop,
      backported from upstream
    - select-clangpp.diff: refresh
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.13

 -- Pino Toscano <pino@debian.org>  Sat, 01 Feb 2025 23:11:29 +0100

clazy (1.12-3) unstable; urgency=medium

  * Backport upstream commit ccb232e435ae3d83559486fce1fdb586aaaa6e07,
    upstream commit ef4fa16bf0df98404bfb8df449dfb88e8141840e,
    upstream commit 5a86780f0db6969725bd1336b4914bc435570e88,
    upstream commit e8d2fe6ccef9276678e7bd5483ae34c4e9640035,
    upstream commit 217b1938c43fcc51ac2296cad767a4da75e1ff15,
    upstream commit cfef69f03532242688e5445b0078f2c55bb06c20,
    upstream commit dcf15ab3ece9f54e65a7cc11e8dcc5338960e866, and
    upstream commit 49ebaf30f30ede6f2ef2c2e6b57eed4a68b35104 to make clazy
    compatible with LLVM 19; patches
    upstream_Use-clazy-helper-to-avoid-startsWith-starts_with-dep.patch,
    upstream_Fix-clang-deprecations-by-porting-to-FileEntryRef.patch,
    upstream_Update-LLVM-Clang-support-to-14.0-add-LLVM-19-handli.patch,
    upstream_Remove-guards-for-no-longer-necessary-CLAZY_DISABLE_.patch,
    upstream_remove-the-llvm-clang-version-sepecific-macros.patch,
    upstream_Revert-overeager-cleanups-to-usageg-OptionalFileEntr.patch,
    upstream_Adjust-additional-argument-in-InclusionDirective.patch, and
    upstream_Add-ifdefs-for-compatibility-with-LLVM-19.patch
    (Closes: #1084393, #1000934)
    - bump clang & LLVM to 14.0
  * CI: disable the crossbuild job, as clang-N is not M-A safe.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Dec 2024 19:11:44 +0100

clazy (1.12-2) unstable; urgency=medium

  * Consolidate in debian/rules the configuration of the tests to exclude,
    ensuring it can be used also in the 'run-tests' autopkgtest:
    - create a new TESTS_EXCLUDED variable, adding only the test names to it,
    - when running the tests during the build: pass --exclude to run_tests with
      a comma-separated version of $TESTS_EXCLUDED, only in case there are
      tests to exclude
    - add $TESTS_EXCLUDED to the shell configuration shipped by clazy-tests
    - switch the script of the 'run-tests' autopkgtest to use bash, so it is
      possible to use e.g. arrays
    - when running the 'run-tests' autopkgtest: pass --exclude to run_tests
      with a comma-separated version of $TESTS_EXCLUDED, only in case there are
      tests to exclude
  * Improve the way the linking with atomic is done on architectures that need
    that (i.e. currently armel):
    - generalize the addition of link flags in the tests using an environment
      variable; patch debian-tests-extra-libs.diff
    - create a new TESTS_EXTRA_LIBS variable in debian/rules, setting it to
      "-latomic" where needed
    - when running the tests during the build: export $TESTS_EXTRA_LIBS as
      $DEBIAN_EXTRA_LIBS
    - add $TESTS_EXTRA_LIBS to the shell configuration shipped by clazy-tests
    - when running the 'run-tests' autopkgtest: export $TESTS_EXTRA_LIBS as
      $DEBIAN_EXTRA_LIBS
    - drop patch debian-tests-link-atomic.diff, no more needed now

 -- Pino Toscano <pino@debian.org>  Wed, 10 Jul 2024 21:46:06 +0200

clazy (1.12-1) unstable; urgency=medium

  * New upstream release:
    - supports up to LLVM 18 (Closes: #1051858)
  * Update standards version to 4.7.0, no changes needed.
  * Clean the generated files of the test suite run. (Closes: #1044015)
  * Update the patches:
    - upstream_tests-fix-clang-version-regexp.patch: drop, backported from
      upstream
    - upstream_tests-add-j-jobs-option-for-run_tests.py.patch: drop, backported
      from upstream
    - upstream_Build-fixes-for-LLVM-Clang-15.0.0.patch: drop, backported from
      upstream
    - debian-tests-link-atomic.diff: refresh/update
    - select-clangpp.diff: refresh
    - disable-reserve-candidates-flaky.patch: drop, no more needed
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.8
    - bump clang & LLVM to 11.0
  * Add more dependencies as test build dependency, and for the 'run-tests'
    autopkgtest, needed by the new upstream release:
    - libqt5networkauth5-dev, libqt5svg5-dev, qtmultimedia5-dev
    - qt6-base-dev, qt6-declarative-dev, qt6-multimedia-dev,
      qt6-networkauth-dev, qt6-scxml-dev, qt6-svg-dev
  * Update the license file to drop from the installed documentation.
  * The rebuild will make it usable with GCC 13. (Closes: #1043011)

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jul 2024 20:06:47 +0200

clazy (1.11-4) unstable; urgency=medium

  * Team upload.
  * Remove the second reserve-candidates test.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 18 Jan 2023 14:40:12 -0600

clazy (1.11-3) unstable; urgency=medium

  * Export $DEB_HOST_ARCH in the 'run-tests' autopkgtest: this way, the local
    changes to run_tests.py can enable the linking to atomic on armel, where
    it is needed; this fixed the autopkgtest on that architecture.

 -- Pino Toscano <pino@debian.org>  Fri, 18 Nov 2022 12:19:43 +0100

clazy (1.11-2) unstable; urgency=medium

  * Backport upstream commit f5c95d3cb453ca16980db268556f23ca3cd38122 to fix
    the detection of the clang version when running the tests; patch
    upstream_tests-fix-clang-version-regexp.patch.
  * Update standards version to 4.6.1, no changes needed.
  * Limit the parallel jobs for the tests ran during the build using
    $DEB_BUILD_OPTIONS:
    - backport upstream commit ab8993c9e10e09cb24210f76bb5e67f01bb37a9e to add
      -j/--jobs to the run_tests.py script; patch
      upstream_tests-add-j-jobs-option-for-run_tests.py.patch
    - pass --jobs to run_tests.py with the number of parallel jobs specified
      in $DEB_BUILD_OPTIONS, defaulting to 1
  * Set the number of parallel jobs in the 'run-tests' autopkgtest to 1 for
    now.
  * Remove inactive Uploaders.
  * Backport upstream commit 20fca52da739ebefa47e35f6b338bb99a0da3cfe to support
    LLVM/Clang 15.0.0; patch upstream_Build-fixes-for-LLVM-Clang-15.0.0.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 17 Nov 2022 20:21:31 +0100

clazy (1.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop -std=gnu++14 from the CXXFLAGS, as it should build fine now.
  * Update the patches:
    - select-clangpp.diff: refresh

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jan 2022 11:11:20 +0100

clazy (1.10-2) unstable; urgency=medium

  * Fix -DREADLINK_CMD:FILEPATH to be /bin/readlink, like the actual file path
    provided by coreutils.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Add -std=gnu++14 to the CXXFLAGS to build with C++14, as it seems it fails
    to build with C++17 (default of GCC 11).

 -- Pino Toscano <pino@debian.org>  Mon, 22 Nov 2021 22:38:47 +0100

clazy (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - debian-tests-link-atomic.diff: refresh
    - select-clangpp.diff: refresh
  * Update the build dependencies according to the upstream build system:
    - bump clang & LLVM to 8.0
  * Pass -DREADLINK_CMD:FILEPATH=/usr/bin/readlink to cmake to force the path
    of readlink(1), so it does not change depending on usrmerge.

 -- Pino Toscano <pino@debian.org>  Tue, 17 Aug 2021 06:02:34 +0200

clazy (1.9-3) unstable; urgency=medium

  * Exclude the qt6-header-fixes check on armel & armhf also when running the
    run-tests autopkgtest.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jan 2021 16:17:14 +0100

clazy (1.9-2) unstable; urgency=medium

  * Exclude the qt6-header-fixes check on armel & armhf, as on these
    architectures there are the OpenGL ES headers that interfere with the test.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Jan 2021 09:32:30 +0100

clazy (1.9-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_qt6-deprecated-api-fixes-Remove-unrelated-warnings-f.patch:
      drop, backported from upstream
    - upstream_qt6-qlatin1stringchar-to-u-Only-run-tests-with-clang.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Mon, 11 Jan 2021 00:54:37 +0100

clazy (1.8-2) unstable; urgency=medium

  * Add the libclang-cpp-dev build dependency to link against the shared
    libclang-cpp; hopefully this avoids problems when the LLVM version changes
    (due to the static linking).

 -- Pino Toscano <pino@debian.org>  Mon, 21 Dec 2020 12:17:32 +0100

clazy (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_inefficient-qlist-Disable-flaky-test-on-arm-32bit.patch: drop,
      backported from upstream
    - upstream_updated-for-compatibility-with-LLVM-10.patch: drop, backported
      from upstream
    - upstream_deleted-redundant-qualifier.patch: drop, backported from
      upstream
    - upstream_updated-for-compatibility-with-LLVM-10-clazy-standal.patch:
      drop, backported from upstream
    - debian-tests-link-atomic.diff: refresh
    - select-clangpp.diff: refresh
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump clang & LLVM to 7.0
  * Backport upstream commit 04d38721ba951a9cafd276d584880d3f72c7794a, and
    commit c1dc65494574227646e1dd36675a5bd906660647 to fix two test cases;
    patches upstream_qt6-deprecated-api-fixes-Remove-unrelated-warnings-f.patch
    and upstream_qt6-qlatin1stringchar-to-u-Only-run-tests-with-clang.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 23 Nov 2020 19:34:07 +0100

clazy (1.7-5) unstable; urgency=medium

  * Upload to unstable.
  * Backport upstream commits 30d6a2b64f5a05722fdc5d8e3754dbf13425cd62,
    86796d87c9118cec4795d77349e3e607df35c3b8, and
    25aa102cc49def9573ffbed88155589cd60a2e8f to fix compatibility with
    LLVM >= 10; patches upstream_updated-for-compatibility-with-LLVM-10.patch,
    upstream_deleted-redundant-qualifier.patch, and
    upstream_updated-for-compatibility-with-LLVM-10-clazy-standal.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Nov 2020 10:51:51 +0100

clazy (1.7-4) experimental; urgency=medium

  * Add a new package clazy-tests, mostly for autopkgtest purposes:
    - use --destdir=debian/clazy to install everything directly in clazy
    - make clazy-tests depend on the exact clazy version
    - make clazy-tests depend on the package (clang-tools-N) that provides
      the default version of clang-apply-replacements
  * Ship a shell file /usr/share/clazy/debian-$(DPKG_ARCHITECTURE).sh in
    clazy-tests with the paths of clang and clang-apply-replacements.
  * Adapt the run-tests autopkgtest to clazy-tests: (Closes: #952464, #971589)
    - replace the clang, and clang-tools dependencies with clazy-tests
    - source the shell configuration file provided by clazy-tests
    - export the right environment variables for clang, and
      clang-apply-replacements, so the upstream test script can use them
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Minimize the upstream GPG signing key.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Nov 2020 19:06:17 +0100

clazy (1.7-3) unstable; urgency=medium

  * Backport upstream commit dbde38f1a67c2968c951629a5f5629c9847078bd to skip
    the inefficient-qlist test on any 32bit architecture; patch
    upstream_inefficient-qlist-Disable-flaky-test-on-arm-32bit.patch
    (Closes: #964137)
    - stop manually excluding it in rules

 -- Pino Toscano <pino@debian.org>  Sat, 04 Jul 2020 11:41:50 +0200

clazy (1.7-2) unstable; urgency=medium

  * Exclude the inefficient-qlist check again, unfortunately on all the 32bit
    architectures: https://bugs.kde.org/423728.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Jul 2020 10:44:27 +0200

clazy (1.7-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - select-clangpp.diff: refresh
  * Update lintian overrides.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Run again the inefficient-qlist check on i386, as it was fixed upstream.
  * Change the python3 build dependency to python3:any, as Python is needed
    only as build tool.
  * Update copyright.

  [ Alexander Volkov ]
  * Don't install needless build dependencies when nocheck profile is enabled.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Jul 2020 08:06:18 +0200

clazy (1.6-2) unstable; urgency=medium

  * Update copyright.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Exclude the inefficient-qlist check on i386, as it currectly does not
    match the baseline (although it correctly detects the issue).

 -- Pino Toscano <pino@debian.org>  Sun, 20 Oct 2019 00:14:09 +0200

clazy (1.6-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Switch python2 to python3 as build requirement. (Closes: #936308)

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - debian-tests-link-atomic.diff: refresh
    - select-clangpp.diff: refresh
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7
    - bump clang, libclang-dev, and llvm-dev to 5.0
    - add clang-tools
  * Add the configuration for the CI on salsa.
  * Update the dependencies for the 'run-tests' autopkgtest:
    - replace python2 with python3 (see #936308)
    - add clang-tools
  * Bump Standards-Version to 4.4.1, no changes required.
  * Get the real clang++ compiler bypassing ccache.
  * Make sure to link with atomic (on architectures that need it) even if the
    compiler links in as-needed mode by default. (Closes: #939687)
  * Disable ccache when running the test suite, as clazy is documented to not
    work with it.

 -- Pino Toscano <pino@debian.org>  Fri, 18 Oct 2019 15:26:39 +0200

clazy (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Fix-clazy-list-not-listing-the-correct-doc-directory.patch:
      drop, backported from upstream
    - upstream_docs-add-empty-line-between-encoding-and-head1-NAME.patch: drop,
      backported from upstream
    - upstream_Fix-installation-of-clazy-wrapper-scripts.patch: drop,
      backported from upstream
    - upstream_inefficient-qlist-Use-64-as-the-limit-instead-of-siz.patch:
      drop, backported from upstream
    - debian-tests-link-atomic.diff: refresh
    - select-clangpp.diff: update to the new upstream version, and simplify
  * Update copyright.
  * Add qtdeclarative5-dev as build dependency, and as dependency for the
   'run-tests' autopkgtest, as it is needed by the test suite.
  * Update lintian overrides.
  + Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Feb 2019 22:26:46 +0100

clazy (1.4-4) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix typo in debian/rules.

  [ Pino Toscano ]
  * Ensure that clazy uses, and requires the same Clang used at build time:
    (Closes: #915390)
    - add a way to enforce a specific clang++ executable; patch
      select-clangpp.diff
    - specify the clang++ executable of the default Clang version
    - depend on the clang package providing the selected clang++ executable

 -- Pino Toscano <pino@debian.org>  Tue, 18 Dec 2018 21:58:07 +0100

clazy (1.4-3) unstable; urgency=medium

  * Backport upstream commit 9713a15f65424f06e45c78fc1bf1c2d2b27f4e36 to use 64
    as the limit in inefficient-qlist (fixing the test suite on 32bit Linux
    architectures); patch
    upstream_inefficient-qlist-Use-64-as-the-limit-instead-of-siz.patch.
  * Make sure to link with atomic on armel, both when building, and when
    linking the tests.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Dec 2018 10:36:29 +0100

clazy (1.4-2) unstable; urgency=medium

  * Backport upstream commit 8ad500134416b960b3c28146e7245b7403f4c851 to
    properly install the clazy wrapper script as executable; patch
    upstream_Fix-installation-of-clazy-wrapper-scripts.patch.
  * Fix the execution of the test suite:
    - make the clazy wrapper script executable in the build directory, so it
      can be run
    - add the top-level build directory to $PATH, so that the clazy script
      is found
  * Fix Vcs-Git field to its non-redirecting version.
  * 'run-tests' autopkgtest: query clang/clang++ for their basic facts (like
    include/library paths, etc), so it is easier to debug test failures.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Nov 2018 07:27:10 +0100

clazy (1.4-1) unstable; urgency=medium

  [ Scarlett Clark ]
  [ Pino Toscano ]
  * Initial release (Closes: #886883)

 -- Scarlett Clark <sgclark@kde.org>  Sun, 04 Nov 2018 22:03:44 +0100
